import request from "@/utils/request";

// 创建mes生产入库单主
export function createProductionWarehousingOrder(data) {
    return request({
        url: "/rtkwms/production-warehousing-order/create",
        method: "post",
        data: data,
    });
}

// 更新mes生产入库单主
export function updateProductionWarehousingOrder(data) {
    return request({
        url: "/rtkwms/production-warehousing-order/update",
        method: "put",
        data: data,
    });
}

// 删除mes生产入库单主
export function deleteProductionWarehousingOrder(id) {
    return request({
        url: "/rtkwms/production-warehousing-order/delete?id=" + id,
        method: "delete",
    });
}

// 获得mes生产入库单主
export function getProductionWarehousingOrder(id) {
    return request({
        url: "/rtkwms/production-warehousing-order/get?id=" + id,
        method: "get",
    });
}

// 获得mes生产入库单主分页
export function getProductionWarehousingOrderPage(query) {
    return request({
        url: "/rtkwms/incoming-produce/page",
        method: "get",
        params: query,
    });
}

// 导出mes生产入库单主 Excel
export function exportProductionWarehousingOrderExcel(query) {
    return request({
        url: "/rtkwms/production-warehousing-order/export-excel",
        method: "get",
        params: query,
        responseType: "blob",
    });
}